Package: groovy.swing.factory

## [Groovy] Class ComponentFactory

- groovy.swing.factory.ComponentFactory

-     class ComponentFactory
      extends BeanFactory

  Factory for creating Swing components and adding child components.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BeanFactory` | `leaf`

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class BeanFactory` | `beanClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ComponentFactory(Class beanClass)` Creates a new factory for creating Swing components and adding child components
    `ComponentFactory(Class beanClass, boolean leaf)` Creates a new factory for creating Swing components and adding child components

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)` Attaches a child node to its parent.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanFactory` | `isLeaf, newInstance`
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### ComponentFactory(Class beanClass)

      Creates a new factory for creating Swing components and adding child components

      Parameters:
        `beanClass` - the bean type created by this factory

    - #### ComponentFactory(Class beanClass, boolean leaf)

      Creates a new factory for creating Swing components and adding child components

      Parameters:
        `beanClass` - the bean type created by this factory
        `leaf` - whether created nodes are leaf nodes

  - ### Method Detail

    - #### void setChild(FactoryBuilderSupport builder, Object parent, Object child)

      Attaches a child node to its parent.

      Parameters:
        `builder` - the factory builder
        `parent` - the parent node
        `child` - the child node